<?php

namespace App\Http\Controllers\Api;

use App\CredDesc;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class CredDescController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $credDescList = CredDesc::all();
        return response()->json($credDescList, 200);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\CredDesc  $credDesc
     * @return \Illuminate\Http\Response
     */
    public function show(CredDesc $credDesc)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\CredDesc  $credDesc
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, CredDesc $credDesc)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\CredDesc  $credDesc
     * @return \Illuminate\Http\Response
     */
    public function destroy(CredDesc $credDesc)
    {
        //
    }
}
